Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee.statistics
Interface MapStatistic

All Superinterfaces:
  Statistic

All Known Implementing Classes:
  MapStatisticImpl

public interface MapStatistic
extends Statistic

A Statistic which contains its members in a Map.

Method Summary
`java.util.Map` | `asMap()`
`int` | `getint(java.lang.String name)` Get a Statistic value which is expected to be an Integer (int)
`long` | `getlong(java.lang.String name)` Get a Statistic value which is expected to be a Long (long)
`java.lang.String` | `getString(java.lang.String name)` Get a Statistic value which is expected to be a String
`java.lang.Object` | `getValue(java.lang.String name)` Get a Statistic value which is expected to be any Object
`java.lang.String` | `setName(java.lang.String newName)` Set the name of this Statistic
`java.lang.String` | `toString()`
`java.util.Set` | `valueNames()` Get the values associated with this statistic.

Methods inherited from interface javax.management.j2ee.statistics.Statistic
`getDescription, getLastSampleTime, getName, getStartTime, getUnit`

Method Detail

### getlong

    public long getlong(java.lang.String name)

  Get a Statistic value which is expected to be a Long (long)

### getint

    public int getint(java.lang.String name)

  Get a Statistic value which is expected to be an Integer (int)

### getString

    public java.lang.String getString(java.lang.String name)

  Get a Statistic value which is expected to be a String

### getValue

    public java.lang.Object getValue(java.lang.String name)

  Get a Statistic value which is expected to be any Object

### setName

    public java.lang.String setName(java.lang.String newName)

  Set the name of this Statistic

### valueNames

    public java.util.Set valueNames()

  Get the values associated with this statistic. Note the name--"get" is avoided so it won't be introspected as another Statistic field.

  Returns:
    an unmodifiableSet of the field names (String)

### asMap

    public java.util.Map asMap()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.